# Uses of Interface
net.sourceforge.jiu.data.PixelImage

Packages that use PixelImage
Package
Description
net.sourceforge.jiu.apps
net.sourceforge.jiu.codecs
net.sourceforge.jiu.codecs.jpeg
net.sourceforge.jiu.color
net.sourceforge.jiu.color.adjustment
net.sourceforge.jiu.color.analysis
net.sourceforge.jiu.color.promotion
net.sourceforge.jiu.color.reduction
net.sourceforge.jiu.data
net.sourceforge.jiu.filters
net.sourceforge.jiu.gui.awt
net.sourceforge.jiu.ops

## Uses of PixelImage in net.sourceforge.jiu.apps

Fields in net.sourceforge.jiu.apps declared as PixelImage
Modifier and Type
Field
Description
`private PixelImage`
EditorState.`currentImage`
Methods in net.sourceforge.jiu.apps that return PixelImage
Modifier and Type
Method
Description
`private PixelImage`
ColorIndexer.`adjustColor(PixelImage img)`
`private PixelImage`
ColorIndexer.`convertToRgb24(PixelImage in)`
`PixelImage`
EditorState.`getImage()`
Returns the image object currently loaded.
`private PixelImage`
ColorIndexer.`scale(PixelImage in)`
Methods in net.sourceforge.jiu.apps with parameters of type PixelImage
Modifier and Type
Method
Description
`private void`
EditorState.`addImageToRedo(PixelImage image, boolean modifiedState)`
`private void`
EditorState.`addImageToUndo(PixelImage image, boolean modifiedState)`
`private PixelImage`
ColorIndexer.`adjustColor(PixelImage img)`
`private PixelImage`
ColorIndexer.`convertToRgb24(PixelImage in)`
`private int[]`
ColorIndexer.`count(PixelImage image)`
`static String`
ImageDescriptionCreator.`getDescription(PixelImage image, Locale locale, Strings strings)`
Returns a description of the argument image using the language as specified by the argument locale's two-letter language code.
`private static int`
ImageDescriptionCreator.`getImageType(PixelImage image)`
`private PixelImage`
ColorIndexer.`scale(PixelImage in)`
`void`
EditorState.`setImage(PixelImage image, boolean newModifiedState)`
Sets image and modified state to argument values.

## Uses of PixelImage in net.sourceforge.jiu.codecs

Fields in net.sourceforge.jiu.codecs declared as PixelImage
Modifier and Type
Field
Description
`private PixelImage`
ImageCodec.`image`
Methods in net.sourceforge.jiu.codecs that return PixelImage
Modifier and Type
Method
Description
`PixelImage`
ImageCodec.`getImage()`
Returns the image object stored in this codec.
`static PixelImage`
ImageLoader.`load(File file)`
Attempts to load an image from a file.
`static PixelImage`
ImageLoader.`load(File file, Vector listeners)`
Attempts to load an image from a file, notifying the argument progress listeners.
`static PixelImage`
ImageLoader.`load(String fileName)`
Load an image from a file given by its name.
`static PixelImage`
ImageLoader.`load(String fileName, Vector listeners)`
Attempts to load an image from the file with the given name, using the given list of progress listeners.
`private PixelImage`
IFFCodec.`loadImage(DataInput in)`
Loads an image from given input stream in, regarding the compression type.
`static PixelImage`
ImageLoader.`loadToolkitImageUri(String uri)`
Methods in net.sourceforge.jiu.codecs with parameters of type PixelImage
Modifier and Type
Method
Description
`private void`
RASCodec.`saveHeader(PixelImage image)`
`void`
ImageCodec.`setImage(PixelImage img)`
Give an image to this codec to be used for loading an image into it or saving the image.
`private void`
PalmCodec.`store(PixelImage image, int y, byte[] row)`
`String`
BMPCodec.`suggestFileExtension(PixelImage image)`
`String`
ImageCodec.`suggestFileExtension(PixelImage image)`
Attempts to suggest a filename extension.
`String`
PalmCodec.`suggestFileExtension(PixelImage image)`
`String`
PNGCodec.`suggestFileExtension(PixelImage image)`
`String`
PNMCodec.`suggestFileExtension(PixelImage image)`
`String`
RASCodec.`suggestFileExtension(PixelImage image)`
`private void`
BMPCodec.`writeHeader(PixelImage image, int filesize, int offset, int numBits)`

## Uses of PixelImage in net.sourceforge.jiu.codecs.jpeg

Methods in net.sourceforge.jiu.codecs.jpeg with parameters of type PixelImage
Modifier and Type
Method
Description
`String`
JPEGCodec.`suggestFileExtension(PixelImage image)`

## Uses of PixelImage in net.sourceforge.jiu.color

Methods in net.sourceforge.jiu.color that return PixelImage
Modifier and Type
Method
Description
`static PixelImage`
Invert.`invert(PixelImage inputImage)`
Helper method to return an inverted image from the argument image.
Methods in net.sourceforge.jiu.color with parameters of type PixelImage
Modifier and Type
Method
Description
`static PixelImage`
Invert.`invert(PixelImage inputImage)`
Helper method to return an inverted image from the argument image.
`private void`
Invert.`prepare(PixelImage in)`

## Uses of PixelImage in net.sourceforge.jiu.color.adjustment

Methods in net.sourceforge.jiu.color.adjustment that return PixelImage
Modifier and Type
Method
Description
`static PixelImage`
Brightness.`adjust(PixelImage input, int percentage)`
This static helper method is more simple to use when all you need are the standard options.
`static PixelImage`
Contrast.`adjust(PixelImage input, int percentage)`
This static helper method is more simple to use when all you need are the standard options.
Methods in net.sourceforge.jiu.color.adjustment with parameters of type PixelImage
Modifier and Type
Method
Description
`static PixelImage`
Brightness.`adjust(PixelImage input, int percentage)`
This static helper method is more simple to use when all you need are the standard options.
`static PixelImage`
Contrast.`adjust(PixelImage input, int percentage)`
This static helper method is more simple to use when all you need are the standard options.

## Uses of PixelImage in net.sourceforge.jiu.color.analysis

Fields in net.sourceforge.jiu.color.analysis declared as PixelImage
Modifier and Type
Field
Description
`private PixelImage`
MeanDifference.`image1`
`private PixelImage`
MeanDifference.`image2`
Methods in net.sourceforge.jiu.color.analysis with parameters of type PixelImage
Modifier and Type
Method
Description
`static Double`
MeanDifference.`compute(PixelImage image1, PixelImage image2)`
Compute the mean difference between two images.
`void`
MeanDifference.`setImages(PixelImage firstImage, PixelImage secondImage)`
Sets the two images for which the mean difference is to be determined.

## Uses of PixelImage in net.sourceforge.jiu.color.promotion

Methods in net.sourceforge.jiu.color.promotion with parameters of type PixelImage
Modifier and Type
Method
Description
`private void`
PromotionGray16.`prepare(PixelImage in)`
`private void`
PromotionGray8.`prepare(PixelImage in)`
`private void`
PromotionPaletted8.`prepare(PixelImage in)`
`private void`
PromotionRGB24.`prepare(PixelImage in)`
`private void`
PromotionRGB48.`prepare(PixelImage in)`

## Uses of PixelImage in net.sourceforge.jiu.color.reduction

Fields in net.sourceforge.jiu.color.reduction declared as PixelImage
Modifier and Type
Field
Description
`private PixelImage`
AutoDetectColorType.`inputImage`
`private PixelImage`
AutoDetectColorType.`outputImage`
Methods in net.sourceforge.jiu.color.reduction that return PixelImage
Modifier and Type
Method
Description
`static PixelImage`
RGBToGrayConversion.`convert(PixelImage rgbImage)`
Static convenience method to convert an RGB image to a grayscale image.
`PixelImage`
AutoDetectColorType.`getOutputImage()`
Returns the reduced output image if one was created in `AutoDetectColorType.process()`.
Methods in net.sourceforge.jiu.color.reduction with parameters of type PixelImage
Modifier and Type
Method
Description
`static PixelImage`
RGBToGrayConversion.`convert(PixelImage rgbImage)`
Static convenience method to convert an RGB image to a grayscale image.
`void`
AutoDetectColorType.`setInputImage(PixelImage image)`
This method must be used to specify the mandatory input image.

## Uses of PixelImage in net.sourceforge.jiu.data

Subinterfaces of PixelImage in net.sourceforge.jiu.data
Modifier and Type
Interface
Description
`interface`
`BilevelImage`
An interface for bilevel pixel image data classes.
`interface`
`ByteChannelImage`
An extension of the `IntegerImage` interface that restricts the image to byte samples.
`interface`
`Gray16Image`
Interface for grayscale images using integer samples that are sixteen bits large.
`interface`
`Gray8Image`
Interface for grayscale images using integer samples that are eight bits large.
`interface`
`GrayIntegerImage`
An empty interface for grayscale images which have integer values of up to 32 bits (`int` or smaller) as samples.
`interface`
`IntegerImage`
Extends the `PixelImage` interface to access image data as `int` values.
`interface`
`Paletted8Image`
An interface for classes that store paletted images with eight bit integers for each pixel.
`interface`
`PalettedIntegerImage`
An empty interface for a paletted image type that uses integer values as samples.
`interface`
`RGB24Image`
An empty interface for RGB truecolor images with integer samples that are each eight bits large (thus, 24 bits per pixel).
`interface`
`RGB48Image`
An empty interface for RGB truecolor images with integer samples that are each sixteen bits large (thus, 48 bits per pixel).
`interface`
`RGBImage`
An interface for RGB truecolor images.
`interface`
`RGBIntegerImage`
An interface for RGB truecolor images that have integer samples.
`interface`
`ShortChannelImage`
An extension of the `IntegerImage` interface that restricts the image to `short` samples.
Classes in net.sourceforge.jiu.data that implement PixelImage
Modifier and Type
Class
Description
`class`
`MemoryBilevelImage`
An implementation of the `BilevelImage` interface that stores image data in a `byte` array in memory.
`class`
`MemoryByteChannelImage`
An implementation of `ByteChannelImage` that stores image channels as `byte[]` arrays in memory.
`class`
`MemoryGray16Image`
An implementation of `Gray16Image` that keeps the complete image in memory.
`class`
`MemoryGray8Image`
An implementation of `Gray8Image` that keeps the complete image in memory.
`class`
`MemoryPaletted8Image`
This class stores a paletted image with one byte per sample in memory.
`class`
`MemoryRGB24Image`
A class to store 24 bit RGB truecolor images in memory.
`class`
`MemoryRGB48Image`
A class to store 48 bit RGB truecolor images in memory.
`class`
`MemoryShortChannelImage`
An implementation of `ShortChannelImage` that stores image channels as `short[]` arrays in memory.
Methods in net.sourceforge.jiu.data that return PixelImage
Modifier and Type
Method
Description
`PixelImage`
MemoryBilevelImage.`createCompatibleImage(int width, int height)`
`abstract PixelImage`
MemoryByteChannelImage.`createCompatibleImage(int width, int height)`
`PixelImage`
MemoryGray16Image.`createCompatibleImage(int width, int height)`
`PixelImage`
MemoryGray8Image.`createCompatibleImage(int width, int height)`
`PixelImage`
MemoryPaletted8Image.`createCompatibleImage(int width, int height)`
`PixelImage`
MemoryRGB24Image.`createCompatibleImage(int width, int height)`
`PixelImage`
MemoryRGB48Image.`createCompatibleImage(int width, int height)`
`abstract PixelImage`
MemoryShortChannelImage.`createCompatibleImage(int width, int height)`
`PixelImage`
PixelImage.`createCompatibleImage(int width, int height)`
Creates an instance of the same class as this one, with width and height given by the arguments.
`PixelImage`
MemoryBilevelImage.`createCopy()`
`PixelImage`
MemoryByteChannelImage.`createCopy()`
`PixelImage`
MemoryShortChannelImage.`createCopy()`
`PixelImage`
PixelImage.`createCopy()`
Creates an new image object that will be of the same type as this one, with the same image data, using entirely new resources.

## Uses of PixelImage in net.sourceforge.jiu.filters

Methods in net.sourceforge.jiu.filters that return PixelImage
Modifier and Type
Method
Description
`static PixelImage`
ConvolutionKernelFilter.`filter(PixelImage input, int kernelType)`
Filters argument image with argument kernel type and returns output image.
`static PixelImage`
ConvolutionKernelFilter.`filter(PixelImage input, ConvolutionKernelData data)`
Methods in net.sourceforge.jiu.filters with parameters of type PixelImage
Modifier and Type
Method
Description
`static PixelImage`
ConvolutionKernelFilter.`filter(PixelImage input, int kernelType)`
Filters argument image with argument kernel type and returns output image.
`static PixelImage`
ConvolutionKernelFilter.`filter(PixelImage input, ConvolutionKernelData data)`

## Uses of PixelImage in net.sourceforge.jiu.gui.awt

Classes in net.sourceforge.jiu.gui.awt that implement PixelImage
Modifier and Type
Class
Description
`class`
`BufferedRGB24Image`
A bridge class to use `BufferedImage` objects (class defined in the standard runtime library, package `java.awt.image`) as `RGB24Image` objects within JIU.
Methods in net.sourceforge.jiu.gui.awt that return PixelImage
Modifier and Type
Method
Description
`PixelImage`
BufferedRGB24Image.`createCompatibleImage(int width, int height)`
`PixelImage`
BufferedRGB24Image.`createCopy()`
`static PixelImage`
ToolkitLoader.`loadViaToolkitOrCodecs(String fileName)`
Attempts to load an image from a file given by its name, using both the JIU codecs and the image loading functionality in java.awt.Toolkit.
`static PixelImage`
ToolkitLoader.`loadViaToolkitOrCodecs(String fileName, boolean preferToolkit, Vector progressListeners)`
Attempts to load an image from a file given by its name, using both the JIU codecs and the image loading functionality in java.awt.Toolkit.
Methods in net.sourceforge.jiu.gui.awt with parameters of type PixelImage
Modifier and Type
Method
Description
`static BufferedImage`
ImageCreator.`convertToAwtBufferedImage(PixelImage image)`
`static Image`
ImageCreator.`convertToAwtImage(PixelImage image, int alpha)`
Creates an instance of `Image` from an instance of `RGB24Image`.
`void`
AwtOperationProcessor.`setImage(PixelImage newImage, boolean newModified)`
`void`
AwtOperationProcessor.`updateFrame(PixelImage image)`

## Uses of PixelImage in net.sourceforge.jiu.ops

Fields in net.sourceforge.jiu.ops declared as PixelImage
Modifier and Type
Field
Description
`private PixelImage`
ImageToImageOperation.`inputImage`
`private PixelImage`
ImagesToImageOperation.`outputImage`
`private PixelImage`
ImageToImageOperation.`outputImage`
Methods in net.sourceforge.jiu.ops that return PixelImage
Modifier and Type
Method
Description
`PixelImage`
ImagesToImageOperation.`getInputImage(int index)`
Returns the input image stored in this object.
`PixelImage`
ImageToImageOperation.`getInputImage()`
Returns the input image stored in this object.
`PixelImage`
ImagesToImageOperation.`getOutputImage()`
Returns the output image stored in this object.
`PixelImage`
ImageToImageOperation.`getOutputImage()`
Returns the output image stored in this object.
Methods in net.sourceforge.jiu.ops with parameters of type PixelImage
Modifier and Type
Method
Description
`void`
ImagesToImageOperation.`addInputImage(PixelImage in)`
Adds an image to the end of the internal list of input images.
`void`
ImageToImageOperation.`setInputImage(PixelImage in)`
Sets the input image stored in this object to the argument.
`void`
ImagesToImageOperation.`setOutputImage(PixelImage out)`
Sets the output image stored in this object to the argument.
`void`
ImageToImageOperation.`setOutputImage(PixelImage out)`
Sets the output image stored in this object to the argument.
Constructors in net.sourceforge.jiu.ops with parameters of type PixelImage
Modifier
Constructor
Description
``
`ImagesToImageOperation(Vector in, PixelImage out)`
Constructs a new ImagesToImageOperation and initializes input images and output image to the arguments.
``
`ImageToImageOperation(PixelImage in)`
Creates an object of this class and sets the input image to the argument value, output image to `null`.
``
`ImageToImageOperation(PixelImage in, PixelImage out)`
Creates an object of this class and sets input image and output image to the argument values.